Subject: Re: [PATCH v5 4/7] refs: add support for transactional symref updates

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 May 2024 09:00:14 -0700

Karthik Nayak <[email-masked]> writes:

> ... By
> having zero-oid for the new and old value in the reflog. But seems like
> we can't do that either.

Even if you could, the transition from refs/heads/main to refs/heads/next
would not be captured.

In any case, that is not something this step changes.  My assumption
is that for most of developers it would be unexpected for the theme
to "allow symbolic updates to be transactional" to change it, hence
"we do not explain what we did not change".

Thanks.